local MAJOR_VERSION = "LibDogTag-2.0"
local MINOR_VERSION = tonumber(("$Revision: 59952 $"):match("%d+")) or 0

if MINOR_VERSION > _G.DogTag_MINOR_VERSION then
	_G.DogTag_MINOR_VERSION = MINOR_VERSION
end

DogTag_funcs[#DogTag_funcs+1] = function()

local L = DogTag.L

DogTag:AddTag("TalentSpec", {
	[[if UnitIsPlayer(${unit}) then
		local name, server = UnitName(${unit})
		if server and server ~= "" then
			name = name .. "-" .. server
		end
		DogTag___talentSpecs[".current"] = ${unit}
		value = DogTag___talentSpecs[name]
	end]],
	ret = "string;nil",
	events = "Talent",
	globals = "DogTag.__talentSpecs;UnitIsPlayer;UnitName",
	doc = L["Return the talent spec of unit if possible"],
	example = '[TalentSpec] => "30/31/0"',
	category = L["Characteristics"]
})

DogTag:AddTag("TalentTree", {
	[[if UnitIsPlayer(${unit}) then
		local name, server = UnitName(${unit})
		if server and server ~= "" then
			name = name .. "-" .. server
		end
		DogTag___talentSpecs[".current"] = ${unit}
		value = DogTag___talentSpecNames[name]
	end]],
	ret = "string;nil",
	events = "Talent",
	globals = "DogTag.__talentSpecs;DogTag.__talentSpecNames;UnitIsPlayer;UnitName",
	doc = L["Return the talent tree of unit if possible"],
	example = ('[TalentTree] => %q'):format(L["Paladin_Tree_1"] .. "/" .. L["Paladin_Tree_2"]),
	category = L["Characteristics"]
})

end